DelegationTokenRenewal (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.security.token
Class DelegationTokenRenewal

    java.lang.Object
      org.apache.hadoop.mapreduce.security.token.DelegationTokenRenewal

    public class DelegationTokenRenewal

extends Object

Field Summary
`static String` | `SCHEME`

Constructor Summary
`DelegationTokenRenewal()`

Method Summary
`static void` | `close()` removing all tokens renewals
`static void` | `registerDelegationTokensForRenewal(JobID jobId, Credentials ts, Configuration conf)`
`static void` | `removeDelegationTokenRenewalForJob(JobID jobId)` removing DT for completed jobs

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCHEME

    public static final String SCHEME

See Also:
  Constant Field Values

Constructor Detail

### DelegationTokenRenewal

    public DelegationTokenRenewal()

Method Detail

### registerDelegationTokensForRenewal

    public static void registerDelegationTokensForRenewal(JobID jobId,
                                                          Credentials ts,
                                                          Configuration conf)
                                                   throws IOException

  Throws:
    `IOException`

### close

    public static void close()

  removing all tokens renewals

### removeDelegationTokenRenewalForJob

    public static void removeDelegationTokenRenewalForJob(JobID jobId)

  removing DT for completed jobs

  Parameters:
    `jobId` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation